#! /bin/bash

set -e

function iterate() {
  PREFIX=$1
  LANG=$2
  TEXT=$3
  echo "$TEXT" | tee -a "$PREFIX"_"$LANG"_0
  for i in {1..10}; do
    FILENAME="$PREFIX"_"$LANG"_"$i"
    TEXT_FILE="$FILENAME"
    AUDIO_FILE="$FILENAME".flac
    text2wave <<< "$TEXT" | flac - -fo $AUDIO_FILE 2> /dev/null
    #mplayer -really-quiet $AUDIO_FILE
    NEW_TEXT=$(wget -O - -o /dev/null --post-file $AUDIO_FILE --header="Content-Type: audio/x-flac; rate=16000" http://www.google.com/speech-api/v1/recognize?lang=$LANG | sed 's/.*"utterance":"\([^"]*\).*/\1/')
    echo "$NEW_TEXT" | tee -a $TEXT_FILE
    #if [ "$NEW_TEXT" == "$TEXT" ]; then
      #break;
    #fi
    TEXT=$NEW_TEXT
    sleep 1
  done

  sleep 3
}

# Metamorphosis in English
#iterate "results/metamorphosis" "en" "One morning, as Gregor Samsa was waking up from anxious dreams, he discovered that in his bed he had been changed into a monstrous verminous bug."
#iterate "results/metamorphosis" "en" "He lay on his armour-hard back and saw, as he lifted his head up a little, his brown, arched abdomen divided up into rigid bow-like sections."
#iterate "results/metamorphosis" "en" "From this height the blanket, just about ready to slide off completely, could hardly stay in place."
#iterate "results/metamorphosis" "en" "His numerous legs, pitifully thin in comparison to the rest of his circumference, flickered helplessly before his eyes."
#iterate "results/metamorphosis" "en" "What's happened to me, he thought."

# Metamorphosis in German
#iterate "results/metamorphosis" "de" "Als Gregor Samsa eines Morgens aus unruhigen Träumen erwachte, fand er sich in seinem Bett zu einem ungeheueren Ungeziefer verwandelt."
#iterate "results/metamorphosis" "de" "Er lag auf seinem panzerartig harten Rücken und sah, wenn er den Kopf ein wenig hob, seinen gewölbten, braunen, von bogenförmigen Versteifungen geteilten Bauch,"
#iterate "results/metamorphosis" "de" "auf dessen Höhe sich die Bettdecke, zum gänzlichen Niedergleiten bereit, kaum noch erhalten konnte."
#iterate "results/metamorphosis" "de" "Seine vielen, im Vergleich zu seinem sonstigen Umfang kläglich dünnen Beine flimmerten ihm hilflos vor den Augen."

# Kirby, Cornish, Smith 2008
iterate "results/kcs" "de" "nehomami wumaleli mahomine maholi wupa wuneho lemi manehowu nepa wunene maho howu nemine lemilipo hopa lemipo nehowu nemi lipapo lilema pohomali pamamapo wulepami lepali poliho powuma lemaho"
iterate "results/kcs" "de" "wumaleli nemi nemine lemi nehomami lilema nehowu wuneho lemilipo lemaho lipapo powuma wulepami pohomali howu pamamapo poliho maholi wunene wupa hopa nepa mahomine maho manehowu lepali lemipo"
iterate "results/kcs" "de" "nemine pamamapo hopa wulepami nehowu manehowu lemipo wupa lepali lemilipo wuneho poliho maho nemi lilema lipapo maholi lemaho lemi powuma wumaleli nepa wunene pohomali nehomami howu mahomine"
iterate "results/kcs" "de" "poliho nehowu nemine nehomami howu lemaho lepali manehowu nemi wunene maholi wumaleli wupa nepa mahomine lemipo maho hopa wulepami powuma pohomali lemi lipapo lilema lemilipo pamamapo wuneho"
iterate "results/kcs" "de" "wumaleli hopa powuma pamamapo nepa maho lemilipo howu maholi wuneho lepali nemine wunene mahomine wulepami nemi lemaho pohomali lemipo poliho nehomami wupa lemi manehowu lilema nehowu lipapo"
iterate "results/kcs" "de" "nehomami lipapo lemaho wuneho nemine pohomali hopa powuma howu lemipo nehowu lilema maho poliho wunene mahomine manehowu maholi lemi wupa lemilipo lepali nemi wumaleli wulepami nepa pamamapo"
iterate "results/kcs" "de" "powuma lemi nehowu pohomali lemaho wulepami lepali howu nehomami nepa wunene maholi mahomine hopa pamamapo lemilipo lemipo lilema wuneho nemine poliho lipapo nemi wupa manehowu maho wumaleli"
iterate "results/kcs" "de" "lipapo lilema powuma lemaho pohomali wunene lemilipo pamamapo wupa poliho nepa hopa howu wumaleli nemine maho wulepami nehomami lepali lemi nemi nehowu mahomine manehowu maholi lemipo wuneho"
iterate "results/kcs" "de" "lemipo lipapo howu maholi nehomami hopa lemaho manehowu mahomine wuneho nemi poliho powuma maho pohomali lepali wupa pamamapo wulepami nehowu wumaleli lemilipo wunene lemi nepa lilema nemine"
iterate "results/kcs" "de" "lemipo nemi mahomine wulepami wuneho wunene lilema lipapo poliho nepa lepali lemilipo howu powuma maholi pohomali wumaleli hopa nehomami pamamapo wupa maho nehowu manehowu nemine lemi lemaho"
iterate "results/kcs" "de" "wuneho lipapo howu lemaho maholi lemi maho wupa pamamapo nemi nehowu lemipo poliho powuma wulepami manehowu wumaleli nehomami wunene nepa pohomali mahomine lepali hopa lilema lemilipo nemine"
iterate "results/kcs" "de" "lilema wunene nehomami howu lemilipo pamamapo nemi powuma lipapo wulepami mahomine lepali pohomali manehowu hopa wumaleli nemine nehowu nepa poliho lemipo wuneho maho lemi wupa maholi lemaho"
iterate "results/kcs" "de" "nemine lemipo nemi maholi poliho pamamapo nepa manehowu lemilipo lepali wupa lemi howu lipapo wunene wulepami maho nehowu pohomali mahomine wuneho lemaho nehomami powuma lilema hopa wumaleli"
iterate "results/kcs" "de" "lemi lemaho nehomami maholi nemi lilema nepa wulepami hopa lemipo wumaleli nehowu lipapo wunene lepali nemine mahomine wupa pamamapo poliho powuma manehowu wuneho pohomali lemilipo howu maho"
iterate "results/kcs" "de" "maholi nehowu powuma lemaho howu wupa lemilipo nepa pohomali nemine nehomami wumaleli lilema wuneho pamamapo wunene mahomine lemipo nemi lepali hopa poliho maho lipapo wulepami manehowu lemi"
iterate "results/kcs" "de" "maho lemilipo wumaleli maholi lepali wulepami lipapo pamamapo wuneho nemi nehowu nehomami wunene lilema mahomine pohomali lemipo wupa powuma lemi lemaho nemine hopa howu poliho nepa manehowu"
iterate "results/kcs" "de" "nehowu hopa nemine lemi lemipo nemi lemilipo lemaho howu wulepami powuma mahomine wuneho wunene lilema wupa maho nepa pohomali manehowu maholi lepali nehomami pamamapo lipapo poliho wumaleli"
iterate "results/kcs" "de" "wupa nepa lemi nehomami maholi howu powuma lemipo wulepami nehowu pamamapo wumaleli poliho lepali lemaho nemi lipapo mahomine lemilipo pohomali nemine wuneho wunene hopa lilema manehowu maho"
iterate "results/kcs" "de" "lemaho wunene lemipo howu wulepami lemilipo hopa maholi lepali lemi nehowu manehowu wuneho maho nepa nehomami pohomali powuma lilema mahomine pamamapo nemi lipapo nemine poliho wupa wumaleli"
iterate "results/kcs" "de" "powuma wupa lipapo nemine howu wuneho manehowu wulepami nehowu nehomami lemi lemipo pamamapo mahomine maholi poliho lepali wumaleli wunene lilema maho lemilipo nemi lemaho hopa nepa pohomali"
iterate "results/kcs" "de" "lemi wuneho wumaleli lipapo manehowu powuma hopa howu lemaho nehowu lilema wulepami maholi lepali nepa maho mahomine nemi wunene wupa lemilipo pohomali nehomami poliho nemine lemipo pamamapo"
iterate "results/kcs" "de" "maho mahomine lipapo manehowu wupa pohomali wunene lemi poliho powuma nemi wulepami nepa pamamapo howu lepali nehomami lemaho lemipo lilema maholi wumaleli nehowu wuneho lemilipo nemine hopa"
iterate "results/kcs" "de" "poliho wumaleli wuneho wupa nehowu howu nehomami mahomine maho lilema wunene lemipo lemi pamamapo manehowu wulepami lepali lemilipo maholi hopa lipapo lemaho nemi nemine powuma nepa pohomali"
iterate "results/kcs" "de" "wupa lemipo lemi nehomami nemi poliho nemine mahomine howu nepa wumaleli lemaho pamamapo maho wuneho manehowu lipapo powuma lilema lemilipo nehowu maholi wunene hopa wulepami pohomali lepali"
iterate "results/kcs" "de" "lemaho maho nepa nehowu lemi manehowu wumaleli pamamapo wuneho lilema howu lemipo lepali nehomami maholi mahomine wulepami pohomali lemilipo wunene lipapo poliho nemine nemi hopa powuma wupa"
iterate "results/kcs" "de" "mahomine wupa manehowu pohomali nehomami poliho howu wumaleli lipapo lepali lemi maho maholi nehowu nemi lemaho lemilipo wuneho nepa nemine hopa pamamapo lemipo powuma lilema wunene wulepami"
iterate "results/kcs" "de" "pamamapo nehowu lipapo lilema poliho maho nepa lemi wunene powuma lemilipo mahomine pohomali wulepami manehowu wuneho howu lemaho maholi nemine nemi wumaleli nehomami lemipo hopa lepali wupa"
iterate "results/kcs" "de" "wunene manehowu howu maholi lepali wuneho pohomali wulepami mahomine nepa lemaho nemi lemi nehomami lemipo lipapo nehowu nemine lilema poliho lemilipo hopa wumaleli powuma maho wupa pamamapo"
iterate "results/kcs" "de" "nemi wuneho manehowu nemine lemipo nehowu wunene wumaleli lepali maho howu powuma lemi poliho nepa pohomali pamamapo lemaho maholi hopa nehomami wulepami mahomine wupa lilema lemilipo lipapo"
iterate "results/kcs" "de" "lemaho poliho hopa wumaleli nepa lilema lepali powuma howu wuneho pamamapo nemi wupa lemilipo nemine pohomali maho maholi lemipo nehomami wunene wulepami lemi mahomine nehowu lipapo manehowu"
